Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Delete Existing Source

DELETE/sources/{source_id}
Authorization
AuthorizationBearer token · headerrequired
Path parameters
source_idstringrequired
Query parameters
waitboolean

When False (default), mark the connector for deletion and return immediately; desired_state is Pending Delete until it is removed from Kafka Connect. When True, wait for the removal.

default: false
Responses
200

Deleted: a CDC source with wait=true.

idstringrequired

The deleted source's ID.

202

Accepted: the teardown continues in the background. Always for an API source; for a CDC source with wait=false.

idstringrequired

The deleted source's ID.

422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X DELETE 'https://api.streamkap.com/sources/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string"
}